image: openjdk:17-jdk-slim

stages:
  - test
  - build

test:
  stage: test
  script:
    - chmod +x gradlew
    - ./gradlew check test

build:
  stage: build
  script:
    - chmod +x gradlew
    - ./gradlew clean build
  artifacts:
    paths:
      - build/libs/budget-0.0.1-SNAPSHOT.jar
    expire_in: 1 week

variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
sonarcloud-check:
  image: gradle:8.3.0-jdk17
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script: gradle sonar
  only:
    - main
    - develop

after_script:
  - echo “End CI”

